// ********************************************************************
//
//  Routine:	alca/actaxxOut.C
//  Author:		Dmitry Golubkov
//
//  Description:	Writes out TAHB, TAHD and TATR after hit selection,
//				called from somewhere else
//
//  Modifications:
//   -- none yet					17/12/00 DG
//
// ********************************************************************

#include <iostream.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <fstream.h>
#include <iomanip.h>
#include "arte/arte.hh"
#include "arte/RSEG_cmp.hh"
#include "arte/ArteUtil.h"
#include "rang/rgExtDef.hh"
#include "rang/zfextse.hh"
#include "rang/zfparext.hh"
#include "rang/Fit.hh"
#include "Otr/OtrI.h"

#include "Otr/OtrEvent.h"
#include "arte/ArteIOlun.h"


// ONLINE includes
#include "farm/farm.hh"
#include "table.h"
#include "esp.h"


#include "alca/actaxxFLG.hh"
#include "alca/actaxxComm.hh"


// Prototypes

extern "C" void mmwrit_(int&,int&,int&);





int actaxxOut()
{
	ARTE_mark( "actaxxOut 0", GRR_OK );

	if ( !ArteTable<TAHD>::size() )
	{
		ARTE_mark( "actaxxOut 1", GRR_OK );
		return 0;
	}

	// We'd better learn if we are on farm, but it's also steered in kumac



	// Let's look into mmwevt to learn how to manage multiple files
	if ( actaxx_Command.flg & TACMD::taout )
	{
		int LUN= arteiolun_.ltaout;
		int IOS=0;
		int &JH=ArtePointer<EVHD>::getLinkLink().getInt();
/*
		int &JH=ArtePointer<TAHD>::getLinkLink().getInt();

		int i = ((unsigned)  &artelink_.jtahd - (unsigned) &artelink_.narlnk)/4;

		ArtePointer<MEMO> memo(i);
		memo->flag   = 0;
		int sup = memo->sup[0];
		memo->sup[0] = 0;		// As if TAHD is a header bank
*/		

		// Will not work online
		mmwrit_(LUN,JH,IOS);

/*
		memo->flag   =-1;		// Again subordinate table
		memo->sup[0] = sup;
*/
	}

	// TACMD::rhp is not implemented yet


	ARTE_mark( "actaxxOut 1", GRR_OK );
	return 0;
}
