
#ifndef _AC_H_
#define _AC_H_

/******************************************************************************
 *                                   
 * source:    AC.h                   
 *                                  
 * type:      header file           
 *                                  
 * created:   26 Feb 2000           
 *                                  
 * author:    Andreas Gellrich      
 *            HERA-B Collaboration  
 *            DESY Zeuthen          
 *            Platanenallee 6       
 *            D-15738 Zeuthen       
 *            Germany               
 *            email: Andreas.Gellrichdesy.de                     
 *                                                               
 * changes:                                                      
 * 26 Feb 2000 (AG) creation
 * 21 Mar 2000 (AG) modify AC_flag() parameter list
 * 19 Dec 2000 (AG) define COMP_LUMI temporarily (online/dq.h)
 * 28 Jan 2002 (JH) add acFlag prototype
 * 
 *****************************************************************************/

/* includes */
#include "dq.h"

#define COMP_LUMI COMP_N_TARG

#ifdef __cplusplus
extern "C" {
#endif

/* flag */
int AC_flag( int COMP_XYZ );
#ifdef __cplusplus
}
#endif

/* print */
void AC_print( const char *txt );
unsigned int acFlag(); 

#endif
