*-- Author :    Hartwig Albrecht   17/02/95

      SUBROUTINE MEERRO (CTXT)

************************************************************************
*
* Description: Write error message on all printer units.
*              Batch: stop program.
*              Interactive: stop or continue
*
* Called from: anywhere
*
* External references: ATSTOP
*
* Argument in/out description:
*   CTXT   in     error message
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"

      CHARACTER CTXT*(*), CHYN*(3), CHST*(78), CH1(78), CHT*78
      EQUIVALENCE (CH1, CHST)
      INTEGER L
      DATA CH1 /'*',77*'-'/

#include "arte/Arte.ff"

      PROGERR = PROGERR + 1

      CALL MEALLP (CHST)
      CALL MEALLP ('*')
      CALL MEALLP
     +    ('* Severe error condition')
      CALL MEALLP ('*')
      IF (IBATCH .NE. 0)  CALL ATSTOP (CTXT)

      CHT = '* === ' // CTXT
      CALL MEALLP (CHT)
 10   CHYN = 'n'
      CALL KUPROC (' * Terminate program ?', CHYN, L)
      IF (L .EQ. 0)  GO TO 20
      IF (CHYN(1:1) .EQ. 'Y')  
     +  CALL ATSTOP ('Stop due to severe error condition')
      IF (CHYN(1:1) .NE. 'N')  GO TO 10

 20   CALL MEALLP ('* Continue on your own risk ...')
      CALL MEALLP ('*')
      CALL MEALLP (CHST)
      NEVENTL = 0

      END

************************************************************************
* End of MEERRO
************************************************************************
