>NAME GARTKUIP

>MENU /SELECT
>GUIDANCE
SQL-like sentence for event selection

>COMMAND SELECT
>GUIDANCE
 Usage:		select 'EvdirSql sentence'
.
 Reminder: KUIP continuation symbol is _ at the end of the line.
   SELECT takes one single FORTRAN string as a parameter, do
     not forget to enclose selection sentence in single quotes ('').
.
Syntax of event selection sentence ("EvdirSql sentence") is a
simplified and a bit changed  syntax of SQL sentences. The changes are as
follows. It is possible to use two  kinds of NUMBERs: usual NUMBER and
BIT_INDEX_NUMBER. The last is a NUMBER with a sign # before it. Semantic
of BIT_INDEX_NUMBER: it is a value of a referenced bit in the
corresponding field (usually in the classword). The least significant 
bit has index zero. The second difference: DATE may be presented only in
a form "DD-MON-YYYY" (notice double quotation mark instead of single
quotation mark in SQL). Here DD is a day (2 digits), MON is a month (3
characters), YYYY is a year (4 digits).
.
It is important to say that the search through Event Directory will work
faster if EvdirSql sentence has one of the following two forms:
.
	RUN_SELECTION and OTHEN_SELECTION_TERM
.
 or simply
.
	RUN_SELECTION
. 
Here 'RUN_SELECTION' is a sentance containing only the keyword 'run' and
'OTHEN_SELECTION_TERM' has no 'or' operator at the same level as 'and'
between 'RUN_SELECTION' and 'OTHEN_SELECTION_TERM'.
.
The following field names can be used in EvdirSql sentence:
.
        Class, Date, Time, Exp, Run, Event
.
These names are not case sensitive.
.
        -----------------------------------
        Some examples of EvdirSql sentences.
        -----------------------------------
.
 Example 1
 =========
. 
 ((run = 10 or run = 20) or (run between 3 and 7)) and class = #1
. 
This example has RUN_SELECTION part.
.
 Example 2
 =========
 run = 4377 and 
 (Class between #1 and #15 or Date > "28-feb-1998" or Time = 23:00:01)
 or
 Class not in (#1, #3, #5)
.
This example has no RUN_SELECTION part because of 'or' before the last
'Class'.

>ACTION gartselact
>PARAMETER
WHAT 'EvdirSql sentence' C
