#include <vector.h>
#include <ctype.h>
#include "arte/arte.hh"
#include "arte/ArteMessage.hh"
#include "gean/zgtrig.hh"

extern "C" {
  void ka_trig();
  char* ku_getc();
  float   ku_getr();
  int tpname_(char *, const int);
}
extern vector<hptrig> *P_trig;

void ka_trig() {
 char pcode[12];
 strcpy(pcode, ku_getc());
 for (unsigned i=0;i<strlen(pcode);i++) pcode[i] = tolower(pcode[i]); 
 ArtePointer<TOPP> tp(tpname_(pcode,strlen(pcode)));
 if(tp->gean !=0) {
   if(P_trig == NULL) P_trig = new vector<hptrig>;
   hptrig hp_trig;
   hp_trig.ipart = tp->gean;
   hp_trig.p = ku_getr();
   hp_trig.pt = ku_getr();  
   P_trig->push_back(hp_trig);
 }
 else {
    arteMsg << "ka_trig: no such particle to trigger " << pcode;
    arteMsg.warn();
 }
}
