        subroutine pitext
*********************************************************
*
* Draws text.
*
* Author: Alexander Lanyov   Jun 97
*
*********************************************************
        implicit none

#include "pris/zgraf.fi"

        character*120 string
        real wn(4),x,y,wid,col,height,tang,rchux,rchuy,r
        integer iwkid,nt,l,ifont,itxal,istat

c       call iselnt(51)         ! switch to Prism's NT !1'
c       call isclip(1)

        iwkid=1
        call igqwk(iwkid,'NTWN',wn)
c       write (*,*) (wn(i),i=1,4)

        call kugetr(x)
        call kugetr(y)
        call kugets(string,l)
        call kugetr(col)
        call kugetr(height)
        call kugeti(ifont)
        call kugeti(itxal) ! 0=left, 10=left, 20=cent, 30=right
                           ! 0=base, 1=top, 2=top, 3=mid

        if (x.eq.0. .and. y.eq.0.) then
           call igsa(1)                 ! p.8 - alphanumeric mode
           print *,' select a point at the screen'
           call igsg(1)                 ! p.8 - graphic mode
           call iuwk(0,1)
           nt = nt_framzg
           call irqlc(1,10,istat,nt,x,y) ! X11 driver: tracking cross
           call igsa(1)                 ! p.8 - alphanumeric mode
           print *,' locator returns nt,x,y,istat=',nt,x,y,istat
           if (nt.le.0) then
              print *,' outside of borders ... please try again'
              print *,' nt=', nt
              return
           end if
        end if

        if (col.ne. 0.) then
         !!  call istxci(icol)             ! p.28 - color
           call igset('TXCI',col)          ! p.90 - color
        end if

c       call istxal(itxalh,itxalv)      ! p.35 - text alignment
        r = itxal
        call igset('TXAL',r)            ! p.89 - text alignment

        if (height.gt.0.) then
c          call ischh(height)           ! p.36 - character height in WC
           call igset('CHHE',height)    ! p.89 - character height in WC
        else
           height = 0.03 * (wn(4)-wn(3))
        end if

c       call ischup(rchux,rchuy)        ! p.36 - text orientation

c       call istxfp(ifont,iprec)        ! p.36 - text font and precision
        r = ifont
        call igset('TXFP',r)            ! p.89 - text font and precision

        tang = 0.
        call igset('TANG',tang)         ! p.89 - text angle

        call itx(x,y,string)            ! p.25 - draw text

        call iuwk(0,1)                  ! Flush buffer
        return
        end
