*-- Author :    Thomas Lohse   March 8, 1999

      SUBROUTINE KAFRAG

************************************************************************
*
* Description: MODE/QQ command; defines mode for fragmentation
*              of open c-cbar or b-bbar production
*              this defines how PYTHIA is to be combined with FRITIOF 
*
* Called from: KUIP
*
* External references:
*
* Argument in/out description
*
************************************************************************

      IMPLICIT NONE

#include "arte/luopts.fi"

      INTEGER L, mes_id_1
      CHARACTER*12 CH

      save mes_id_1

      call KUGETI(modefrag)
      if (modefrag.lt.1.or.modefrag.gt.5) then
        modefrag = 2
        call MEERRC(mes_id_1, 'MODE/QQ: fragmentation mode unknown')
      endif

 90   END

************************************************************************
* End of KAFRAG
************************************************************************
