*-- Author :    Dmitri Goloubkov   20/05/02

      SUBROUTINE KAZIP

************************************************************************
*
* Description: KUIP IO/ZIP command
*
* Called from: KUIP
*
* External references: KAFLUN
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MEIO.fi"
      
      INTEGER L, LUN, INFILE
      CHARACTER*(80) ZIPPER

#include "arte/Arte.ff"
#include "auto/MEIO.ff"


      CALL KAFLUN (LUN, INFILE)
* Here I need a file to be opened (and IO package set)
      IF (IMEIO_FLAG(IMEIO_CURRENT(LUN)).GE.2
     +    .AND.IMEIO_PACK(IMEIO_CURRENT(LUN)).NE. 2) THEN
        C78 = 'KAZIP: cannot change compression'
     +        // ' on non-gpack lun '
        CALL CH78BI (LUN)
        CALL ME78WA
        RETURN
      END IF

      IF ( INFILE.NE.0 ) THEN
        C78 = 'KAZIP: sorry, lun '
        CALL CH78BI (LUN)
        CALL CH78AC (' is reserved for INPUT')
        CALL ME78WA
        RETURN
      END IF
#if 0
      IF ( LUN.EQ.LNOTEO ) THEN
        C78 = 'KAZIP: lun '
        CALL CH78BI (LUN)
        CALL CH78AC (' supports no compression')
        CALL ME78WA
        RETURN
      END IF
#endif
      ZIPPER = ' '
      CALL KUGETS (ZIPPER, L)
      IF ( ZIPPER.EQ. ' ' ) THEN
        C78 = 'KAZIP: Compression method not specified'
        CALL ME78WA
        RETURN
      END IF

      CALL GARTSETZIPPER(LUN, ZIPPER)

      END

************************************************************************
* End of KAZIP
************************************************************************
