*CMZ :  0.01/02 23/08/94  19.09.22  by  Dominik Ressing
*-- Author :    Dominik Ressing   18/08/94
************************************************************************
*
* L1DETLP
* written by Dominik Ressing, 18/08/94 09.59.30
*
* This routines action:
* returns .true. if region overlaps detector else .false. .
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
* Detector    in          array of structure GeoInf decribing a detector
* Region      in          array of structure GeoInf decribing a region of intrest
*
************************************************************************
c
      LOGICAL FUNCTION L1DETLP(Detector,Region)
c
      IMPLICIT NONE
c
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
c
      REAL Detector(L1GEOINFlen),Region(L1GEOINFlen),Ov(L1GEOINFlen)
c
      CALL l1geo2s(Detector,Region,Ov)
      l1detlp = (Ov(L1GEOINFsx).gt.0.)
c
      RETURN
c
      END
