*
* source:    l4kuip.cdf
*
* type:      KUIP source code
*
* created:   25 Jul 2000
*	
* author:    Andreas Gellrich
*            HERA-B Collaboration
*            Humboldt-University Berlin
*            Physics Department
*            Invalidenstr. 110
*            10115 Berlin
*            Germany
*            E-mail: Andreas.Gellrich@desy.de
*
* purpose:   define KUIP commands for 4LT
*
* hints:     
*
* changes:
* 25 Jul 2000 (AG) creation
* 02 Aug 2000 (AG) commissioned modes
* 05 Jul 2002 (JH) add kumac command for downscaling the reconstruction
*

>NAME l4kuip
>MENU /L4
 
>Command TRIG
>Guidance
switch on/off 4LT trigger mode.
>Action L4_COMP
>Parameter
+
MODE  'mode'   C D=' '
CLASS 'class'  C D=' '

>Command RECOFRACTION
>Guidance
Fraction of events to reconstruct
>Action L4_RECODOWNSCALE
>Parameter
+
FRACTION '0 <= fraction <= 1' R  D='1.0'
