// created by       Olya Igonkina     04.06.2000
// check that given segment has RICH type ( filled by RISE)

#include "arte/arte.hh"
#include "arte/RSEG_cmp.hh"

int maRichSegment( ArtePointer<RSEG> rseg )
{
  if( (rseg->cmp & Rsegc::bitsign) != 0 ) return 0;
  int fit = rseg->fit;
  if( fit !=8 && fit != 10 && fit !=12 && fit != 13 ) return 0;
  if( !(rseg->cmp & Rsegc::rich) ) return 0;
  return 1;
}
