// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerVolTube
// volume class for tube shape

#ifndef rangerVolTube_HH
#define rangerVolTube_HH

#ifndef rangerVolume_HH
#include "rang/Volume.hh"
#endif

class rangerArrow ;

class rangerVolTube : public rangerVolume {

public:
  rangerVolTube(); // default constructor
  rangerVolTube( rangerGeWa* gewa ); // constructor from gewa
  ~rangerVolTube(); // destructor
  float sLengthOld(float zz,float x,float y,float tx,float ty) const ;
  virtual float sLength(float zz,float x,float y,float tx,float ty) const ;
  virtual bool withinAngle( const rangerArrow&, float z ) const ;
};

#endif
