
// *****************************************************************************
//
// source:    rcClassTLT.C
//
// type:      source code
//
// created:   20 Jun 2000
//	
// author:    Dr. Andreas Gellrich
//            HERA-B Collaboration
//            Humboldt-University Berlin
//            Physics Department
//            Invalidenstr. 110
//            10115 Berlin
//            Germany
//            E-mail: Andreas.Gellrich@desy.de
//
// symbol:    rcClassTLT
//
// called by: rcClassify
//
// purpose:   classification according to TLT record
//
// changes:
// 20 Jul 2000 (AG) creation
//
// *****************************************************************************

// standard includes

// ONLINE includes
#include "tltarte/tlt.hh"

// ARTE includes
#include "farm/farm.hh"

//
// function code
//
int
rcClassTLT()
{
  ARTE_mark( "rcClassTLT 0", 0 );

  // put your stuff here
  ARTE_mark( "tlt_trig", 0 );
  int rc = tlt_trig();

  ARTE_mark( "rcClassTLT 1", 0 );
  return rc;
}
