//**********************************************************************/
// Created: May 1999, by Ignacio Ari\~no   for the RICH reconstruction
//         from tracks
//
// Modification of parameters (mean refracion index and number of photons) 
//  with the kuip interface (kumac file) 
//
//**********************************************************************/
   
#include <stdio.h>
#include <iostream.h>    

//#include "arte/Arte.hh"

extern "C" void kugetr_(float *);
extern "C" void kugeti_(int *);

extern float Meanrefrindex=0;

extern "C" void krefr_() {  
  float refr;
  kugetr_(&refr);
  cout<<"RIRE: the refraction index is "<<refr<<endl;
  Meanrefrindex=refr;
}


extern float Nphotbeta1=35;

extern "C" void knphot_() {  
  float nphot;
  kugetr_(&nphot);
  cout<<"RIRE: the number of expected photons is "<<nphot<<endl;
  Nphotbeta1=nphot;
}



extern float Nsigmas=3.0;

extern "C" void knsig_() {  
  float nsig;
  kugetr_(&nsig);
  cout<<"RIRE: the number of sigmas is "<<nsig<<endl;
  Nsigmas=nsig;
}


extern int Nbins_back=30;

extern "C" void knbins_() {  
  int nbins;
  kugeti_(&nbins);
  cout<<"RIRE: the number of bins for background is "<<nbins<<endl;
  Nbins_back=nbins;
}
