*CMZ :          03/05/96  15.00.39  by  T. Oest
*-- Author :    T. Oest   20/04/96

      SUBROUTINE XID(ITR)

************************************************************************
*
* Description: this routine sets the likelihoods
*
* Called from:
*
* External references:
*
* Argument in/out description
* ITR      in     row in RTRA
*
************************************************************************

      IMPLICIT NONE


#include "arte/Arte.fi"
#include "auto/EV.fi"
#include "auto/CON.fi"
#include "auto/GEO.fi"

      INTEGER ITR, IMC
      INTEGER IND, IROW, ICMP
      LOGICAL ECAL
      REAL*4 LIK, MASS, RNDM, DUMMY


#include "arte/Arte.ff"
#include "auto/EV.ff"
#include "auto/CON.ff"
#include "auto/GEO.ff"
************************************************************************
      IF (ITR .LE. 0)             GOTO 900
      IF (PRTRA_MTRA(ITR) .LE. 0) GOTO 900
C
      IMC  = MRTRA_MTRA(PRTRA_MTRA(ITR))
      MASS = FMTRA_MASS(IMC)
      IF (MASS.EQ.0.0)            GOTO 900

      ECAL = PMTRA_MCAL(IMC).GT.0


c muon hits
      IND = PMTRA_MIMP(IMC)
10    IF (IND.GT.0) THEN
       IND  = XMTRA_MIMP(IND)
       IROW = MMTRA_MIMP(IND)
       ICMP = IGEDE_CMP(IMIMP_GEDE(IROW))
       IF (ICMP.EQ.7)  IQ(IQRTRA_HCA(ITR)) = IQ(IQRTRA_HCA(ITR)) + 1
       IF (ICMP.EQ.8 .OR. ICMP.EQ.9) 
     +      IQ(IQRTRA_HMU(ITR)) = IQ(IQRTRA_HMU(ITR)) + 1
       GOTO 10
      ENDIF
c


c electron
c      IF (IRTRA_HCA(ITR).EQ.0 .AND. .NOT.ECAL) THEN
C       LIK = 0.0
C      ELSE
       IF (0.0.LT.MASS .AND. MASS.LE.0.09) THEN
        LIK = 0.95
       ELSE
        LIK = 0.01
       ENDIF
C      ENDIF

      IF (RNDM(DUMMY) .LE. LIK) THEN
       LIK = 1.0
      ELSE
       LIK = 0.0
      ENDIF
      Q(QRTRA_LEE(ITR)) = LIK

c muon
C      IF (IRTRA_HMU(ITR).EQ.0) THEN
C       LIK = 0.0
C      ELSE
       IF (0.1 .LE.MASS .AND. MASS.LE.0.11) THEN
        LIK = 0.95
       ELSE
        LIK = 0.02
       ENDIF
C      ENDIF

      IF (RNDM(DUMMY) .LE. LIK) THEN
       LIK = 1.0
      ELSE
       LIK = 0.0
      ENDIF
      Q(QRTRA_LMMU(ITR)) = LIK

c pion

      IF (IRTRA_HIN(ITR)+IRTRA_HOU(ITR).EQ.0) THEN
       LIK = 0.0
      ELSE
       IF ((0.12.LE.MASS .AND. MASS.LE.0.15)
     +     .OR. IRTRA_HRI(ITR).EQ.0) THEN
         LIK = 0.95
       ELSE
         LIK = 0.01
       ENDIF
      ENDIF

      IF (RNDM(DUMMY) .LE. LIK) THEN
       LIK = 1.0
      ELSE
       LIK = 0.0
      ENDIF
      Q(QRTRA_LRPI(ITR))  = LIK

c kaon
      IF (IRTRA_HRI(ITR).EQ.0) THEN
       LIK = 0.0
      ELSE
       IF (0.45.LE.MASS .AND. MASS.LE.0.5) THEN
        LIK = 0.9
       ELSE
        LIK = 0.002
       ENDIF
      ENDIF

      IF (RNDM(DUMMY) .LE. LIK) THEN
       LIK = 1.0
      ELSE
       LIK = 0.0
      ENDIF
      Q(QRTRA_LRK(ITR))   = LIK

c proton
      Q(QRTRA_LRE(ITR)) = 0.0
      Q(QRTRA_LRMU(ITR)) = 0.0
      Q(QRTRA_LRP(ITR)) = 0.0

      Q(QRTRA_LEMI(ITR)) = 0.0
      Q(QRTRA_LEH(ITR)) = 0.0

      Q(QRTRA_LTE(ITR)) = 0.0
      Q(QRTRA_LTH(ITR)) = 0.0

      Q(QRTRA_LMH(ITR)) = 0.0


 900  END

************************************************************************
* End of XID
************************************************************************
