*CMZ :          20/05/96  12.58.34  by  Unknown
*-- Author :   T.Lohse
c
c------------------------------------------------------------
c
c       subroutine:   VTSUM(iv,par,cov,flag)
c
c       input:    iv          =  vertex index         Int
c
c       output:   par(5)   = total momentum           R*8
c                      1,2        = slope_x,slope_y
c                      3,4        = impact_x,impact_y
c                      5          = momentum
c                 cov(5,5) = cov(par)                 R*8
c                 flag        < 0 if fail             Int
c
c       action:   add momenta of all particles on vertex iv
c
c------------------------------------------------------------
c
      subroutine  VTSUM ( iv, par, cov, flag )

      implicit none

#include "vt/vtdat.fi"

      integer iv, flag
      double precision 
     1  par(5), cov(5,5)

      integer maskp(ntrk)
      integer i, n, flag1

      flag = -1

      if (iv.gt.nvtmax)  goto 999
      if ( .not. vtset(iv) )   goto 999
      n = ntr(iv)

      do  i = 1, n
        maskp(i) = 1
      enddo

      call VTSUMN(iv,maskp,par,cov,flag1)
      if (flag1.lt.0) goto 999

      flag = 0
      return

  999 continue

      return
      end
