
*
* changes:
* 11 Dec 2000 (AG) back to /AC/...
* 01 Aug 2001 (J.Hernandez) added new command RUN2CNAKEY
* 20 Jun 2002 Add new command for target alignment
*

>Name ACKUIP

>Menu /CNA
>Guidance
Calibration, Internal and global alignment commands
>Command KEYBOOK
>Action ackeybook
>Parameters
REVISION 'Keytable revision number [int]' I D=0
DATABASE 'Keytable Database (e.g. "/key_table") [string]' C D=/key_table
TABLE    'Keytable in database (e.g. "keytable") [string]' C D=keytable

>Guidance
Open keytable database for alignment & calibration.
command "keybook( int revision, char *database, char *table)"

>Command RUN2CNAKEY
>Guidance
set run number whose last keytable will be used for loading the CnA constants for MC
>Action ACCNAKEY
>Parameters
RUNNUMBER 'Run Number' I D=0

>Command DATE
>Guidance
set event date and time.
>Action ACKASETDATETIME
>Parameter
+
DATE 'new date' I D=0
TIME 'new time' I D=0

>Command READ
>Guidance
switch on/off reading of calibration & alignment constants.
>Action ACKAREAD
>Parameter
+
SUBD   'subdetector' C D=' '
SWITCH 'switch     ' C D='ON'

>Command SUBD
>Guidance
switch on/off subdetectors for calibration and alignment.
>Action AC_COMP
>Parameter
+
SUBD 'subdetectors'  C  D=' '
STAT 'status on/off' C  D='OFF'

>Menu /CNA/TARGET
>COMMAND TRGTDB
>ACTION TRGTDB
>PARAMETER
+
DBMAJOR 'major number' I D=-1
DBMINOR 'minor number' I D=-1
>Guidance
Major, minor number for Target
Alignment and Setup DB


