#ifndef _AC_ECAL_IDEFINES_H_
#define _AC_ECAL_IDEFINES_H_

#define AC_ECAL_N_IHIST                          5956
#define AC_ECAL_N_XMOD                           56
#define AC_ECAL_N_YMOD                           42


#define AC_ECAL_ihists_NTUPLE_NCOLUMNS_EP        3
#define AC_ECAL_ihists_NTUPLE_NCOLUMNS_MIP       2

#define AC_ECAL_ihists_NTUPLE_RULE(ID)           ((MOD_AC<<28) | (COMP_ECAL<<24) | (LVL_HIT<<20 )| (ID) )

#define AC_ECAL_ihists_EP_NTUPNUM                2000
#define AC_ECAL_ihists_MIP_NTUPNUM               2001 

/***
 *    
 *   Default parameter values:
 *
 ***/

// 1. Edges:

#define AC_ECAL_ihists_EPlow_default             0.2
#define AC_ECAL_ihists_EPup_default              1.6	    
#define AC_ECAL_ihists_MIPlow_default            0.1
#define AC_ECAL_ihists_MIPup_default             0.84 

// 2. Calorimeter related stuff:

#define AC_ECAL_ihists_et_cut_default            0.3
#define AC_ECAL_ihists_zcal_default              1343

// 3. Tracker related stuff:

#define AC_ECAL_ihists_ztrack_cut_default        1200.
#define AC_ECAL_ihists_ptrack_low_default        1.

// 4. EP distribution related stuff:

#define AC_ECAL_ihists_ptrack_cut_default         1.
#define AC_ECAL_ihists_ncells_betw_tr_cl_default  1.

// 5. MIP distribution related stuff:

#define AC_ECAL_ihists_isol_cut_default           5.

#endif /*_AC_ECAL_IDEFINES_H_*/
