*-- Author :    Hartwig Albrecht   16/03/95

      SUBROUTINE CH78CF (F, N)

************************************************************************
*
* Description: append blank space + real number F at the end of C78
*
* Called from: anywhere
*
* External references: CHDTOC
*
* Argument in/out description
*  F       in     real number to be appended
*  N       in     accuracy (N > 0); digits after . (N <=0)
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"

      INTEGER LENOCC, L, N
      REAL F
      CHARACTER*30 C30

#include "arte/Arte.ff"

      CALL CHDTOC (DBLE(F), N, '*', C30)

      L = LENOCC(C78)
      IF (L .LT. N78MAX - 1)  THEN
        C78(L+1:L+1) = ','
        C78(L+2:) = C30
      END IF
      IF (L + LENOCC(C30) .GE. N78MAX)  C78(N78MAX:N78MAX) = '!'

      END

************************************************************************
* End of CH78CF
************************************************************************
