*CMZ :  2.01/01 24/03/95  15.40.43  by  Hartwig Albrecht
*-- Author :    Hartwig Albrecht   06/03/95

      SUBROUTINE IFREWI (LUN, IOS)

************************************************************************
*
* Description: rewind data set
*
* Called from: anywhere
*
* External references: none
*
* Argument in/out description
*   LUN    in     logical unit number
*   IOS    out    io status (0 --> ok)
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MEIO.fi"
#include "arte/ZQUEST.fi"

      INTEGER IOS, LUN, IS_GPACK, CLUN, L, IO, CHIND1, FLAG
      CHARACTER*20  COPT

#include "arte/Arte.ff"
#include "auto/MEIO.ff"

      IF (IMEIO_PACK(IMEIO_CURRENT(LUN)) .EQ. 1) THEN
         L    = IMEIO_CURRENT(LUN)
C     Check that file is open for input
         IO   = 0
         CALL CHHTOC (IQ(HQMEIO_ZOPTION(1,L)), COPT)
         IF (CHIND1 (COPT, 'O') .NE. 0) IO = 1
C     Get file descriptor of CFIO package
         CLUN = IMEIO_CFOPEN(L)
         FLAG = IMEIO_FLAG(L)
         IQUEST(1) = 0
C     If file is not close yet (flag 3 or 4), do ZEBRA and CFIO rewind
         IF (IO .EQ. 0 .AND. (FLAG .EQ. 3 .OR. FLAG .EQ. 4)) THEN
            CALL FZENDI (LUN,'IQ')
            CALL CFREW (CLUN,0)
         ENDIF
         IOS = IQUEST(1)
      ELSEIF (IMEIO_PACK(IMEIO_CURRENT(LUN)) .EQ. 2) THEN
         CALL GARTCHECK (LUN, IS_GPACK)
         IF (IS_GPACK .EQ. 1) THEN
            CALL GARTREWI (LUN, IOS)
         ELSE
            REWIND (LUN, IOSTAT = IOS)
         ENDIF
      ENDIF

      END

************************************************************************
* End of IFREWI
************************************************************************
