// *****************************************************************************
//
// source:    daq_svd_if.hh
//
// type:      header file
//
// created:   14 Mar 2001
//
// author:    Lars Soezueer
//            email: soezueer@mail.desy.de
//
// purpose:   declaration of class DAQ_SVD_IF
//
// changes:   
//
// *****************************************************************************
#ifndef _DAQ_SVD_IF_
#define _DAQ_SVD_IF_

#include "daqif/daq_mc_if.hh"

class DAQ_SVD_IF : public DAQ_MC_IF {

public:
  DAQ_SVD_IF() : DAQ_MC_IF(COMP_N_SVD) {}

  unsigned int buildComponent(char *buf, unsigned int maxSize);

protected:

private:

};

int fillSEVTfromHITB(int major, int minor);

#endif
