
// ******************************************************************
//
// D. Samtleben 10 Aug 1999
//
// Declaration of Histograms and Initialization
//
// changes:
// 27 Oct 1999 (AG) use defines from DQ.h
//  1 Nov 1999 (AG) get rid of dq_hid.h
// 19 Nov 1999 (AG) show up
// 17 Feb 2000 (DD) FED occupancy
// 30 May 2000 (DD) Hit occupancy upper limit to 5000
//  6 Jul 2000 (AG) polished printout
//  5 Apr 2002 (MS) histograms rich_hit+3,+4,+5,+6 removed
//                  histogram rich_hit+1: xbins changed to 100
//                  polishing
// ******************************************************************

// standard includes
#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>

// ONLINE includes
#include "rhp.h"

// ARTE includes
#include "arte/arte.hh"
#include "farm/farm.hh"
#include "dq/DQ.h"
#include "dq/DQ_RICH.h"


int DQ_RICH_hit_init()
{
  ARTE_mark( "DQ_RICH_hit_init 0", 0 ); 
  
  rhp_hbook1(DQ_ID(COMP_RICH,LVL_HIT,1),"RICH: Nr of hits in event",100,0,5000);
  rhp_hbook2(DQ_ID(COMP_RICH,LVL_HIT,2),"RICH: phi versus lambda",
	     50,-0.2,0.2,50,-0.15,0.15);
  
  ARTE_mark( "DQ_RICH_hit_init 1", 0 ); 
  return 0; 
}

