
#include <vector.h>
#include <string.h>
#include "arte/arte.hh"
#include "gean/gclink.h"
#include "gean/zgkine.hh"


void zgkine::mtpush(int num, hgmtra &mm) {
   extern vector<hgmtra> *hg_mtra;
   hgmtra mt;   
   vector<hgmtra>::size_type np = hg_mtra->size(); 
   int n = int(np);
   if(num > n +1) {   
      memset(&mt,0,sizeof(mt));
      for(int i=n+1; i<num ; i++)  hg_mtra->push_back(mt); 
      hg_mtra->push_back(mm); }
   else if (num == n+1)       hg_mtra->push_back(mm); 
   else  { 
     vector<hgmtra>::iterator mtt = hg_mtra->begin() + num -1;
     if(!mtt->mtra) *mtt = mm;    }
}

void zgkine::mvpush(int num, int &num1) {
   extern vector<int> *hg_vert; 
   vector<int>::size_type np = hg_vert->size(); 
   int n = int(np);       int num0  = 0;
   if(num > n +1 ) {        
      for( int i = n+1; i<num ;i++)  hg_vert->push_back(num0); 
      hg_vert->push_back(num1); }
   else if (num == n+1)  hg_vert->push_back(num1); 
   else {   
      vector<int>::iterator mv = hg_vert->begin() + num -1;
      if(!(*mv)) *mv = num1;} 
}

int zgkine::MotherTrack(const int itra) {
  float *pvx  = VertexBank(VertexOrigin(itra));
  return int(*(pvx+5));
}

int zgkine::VertexOrigin (const int itra) {
  float *ptx = TrackBank(itra);
  return int(*(ptx+6));
}

int zgkine::TrackOrigin(const int ivert) {
  float *pvx = VertexBank(ivert);
  return int(*(pvx+5)); 
}

float *zgkine::VertexBank(const int ivert) {
   int jv = *(gcbank_.lq  + gclink_.jvertx - ivert -1);
   int *pji = gcbank_.iq + jv - 1;
   return (float*)pji;
}

float *zgkine::TrackBank(const int itra) {
   int jtr = *(gcbank_.lq  + gclink_.jkine -1 - itra);
   int *tji = gcbank_.iq + jtr - 1;
   return (float*)tji;
}
