*-- Author :    Fedor Ratnikov   10/09/96

      SUBROUTINE L1SVTRA(MePo)

************************************************************************
*
* Description: Filles J1TRA table with a new message
*
* Called from: L1MCUFA
*
* External references:
*
* Argument in/out description
*
*  MePo      in       L1SIMU message to be stored
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
C#include "L1.fi"
#include "auto/YTRI.fi"
#include "auto/YTRA.fi"
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
#include "l1si/l1mesdf.fi"
#include "l1si/l1mcuda.fi"

      INTEGER MePo,iPoi,itra
      CHARACTER*4 CQ(1)
      EQUIVALENCE(IQ(1),CQ(1))

#include "arte/Arte.ff"
#include "l1si/l1mesdf.ff"
C#include "L1.ff"
#include "auto/YTRI.ff"
#include "auto/YTRA.ff"

      CALL MMBOOK(JYTRA,1)    ! book new row
c
      IQ(IQYTRA_BX_L()) = L1MEstor(MePo+L1MEprbx)
      CQ(HQYTRA_ID_L()) = C1MCUtypeDEF(L1MEstor(MePo+L1MEpartID))
      Q(QYTRA_E_L()) = T1MEstor(MePo+L1MEp)*
     &     T1MEstor(MePo+L1MEBremRatio)
      Q(QYTRA_PXPZ_L()) = T1MEstor(MePo+L1MEpx)/
     &     T1MEstor(MePo+L1MEpz)
      Q(QYTRA_PYPZ_L()) = T1MEstor(MePo+L1MEpy)/
     &     T1MEstor(MePo+L1MEpz)
      IQ(IQYTRA_CHRG_L()) = L1MEstor(MePo+L1MEcharge)
c
      iPoi  = MePo + L1MEpoint(L1MEstor(MePo+L1MElast)-
     &           L1DEFsupTC02+1)     ! pointer to SL4
      Q(QYTRA_XTC2_L()) = T1MEstor(iPoi+L1POreg+L1GEOINFx0)+
     &     0.5*T1MEstor(iPoi+L1POreg+L1GEOINFsx)
      Q(QYTRA_SX2_L()) = T1MEstor(iPoi+L1POreg+L1GEOINFsx)
      Q(QYTRA_YTC2_L()) = T1MEstor(iPoi+L1POreg+L1GEOINFy0)+
     &     0.5*T1MEstor(iPoi+L1POreg+L1GEOINFsy)
      Q(QYTRA_ZTC2_L()) = T1MEstor(iPoi+L1POreg+L1GEOINFz)
                                            ! message
* temporarely store SY in the hardware message
      Q(IQYTRA_MSG_L(1)) = T1MEstor(iPoi+L1POreg+L1GEOINFsy)


c
      iPoi  = MePo + L1MEpoint(L1MEstor(MePo+L1MElast)-
     &           L1DEFsupPC01+1)     ! pointer to PC1
      Q(QYTRA_XPC1_L()) = T1MEstor(iPoi+L1POreg+L1GEOINFx0)+
     &     0.5*T1MEstor(iPoi+L1POreg+L1GEOINFsx)
      Q(QYTRA_SX1_L()) = T1MEstor(iPoi+L1POreg+L1GEOINFsx)
      Q(QYTRA_ZPC1_L()) = T1MEstor(iPoi+L1POreg+L1GEOINFz)
c
      L1MEstor(MePo+L1ME1traRel) = NYTRA()  ! store position of the
      itra = NYTRA()
c      print *,itra,IYTRA_BX(itra),HYTRA_ID(itra),FYTRA_E(itra),
c     &     FYTRA_PXPZ(itra),FYTRA_PYPZ(itra),IYTRA_CHRG(itra),
c     &     FYTRA_XTC2(itra), FYTRA_SX2(itra), FYTRA_YTC2(itra),
c     &     FYTRA_ZTC2(itra),FYTRA_XPC1(itra),FYTRA_SX1(itra),
c     &     FYTRA_ZPC1(itra),Q(IQYTRA_MSG(1,itra))
 1000 FORMAT('L1SVTRA=>',i3,i4,A5,f7.0,2f7.3,i3,8f9.2)
      RETURN
      END

************************************************************************
* End of L1SVTRA
************************************************************************
