/************************************************************************
*
* MUDbAll.h
* 
* first author : Jing-Ge Shiu 
* purpose      : headfile for MUDbAll.C
*
*-----------------------------------------------------------------------
* 
* 
***************************************************************************/
#include "murec/MuDbTubeArte.h"
#include "murec/MuDbPadArte.h"
#include "murec/MuDbPixelArte.h"

typedef unsigned short Word;
typedef unsigned int  LWord;

#define MAXMUFED 40
#define MAXMUTFEDNO 18
#define MAXMUPFEDNO 10
#define MAXMUXFEDNO  8

class MUDbAll : public MuDbTubeArte, public MuDbPadArte, public MuDbPixelArte, public MuPixChamber {

public :
   MUDbAll();
   MUDbAll(int, int, char*);   
   MUDbAll(int, char*);        
   ~MUDbAll();

   int  ini();
   int  endian() {return sysendian;};
   void setDBname(char *);
   void setKTstatus(int) ;
   void setMinor(int) ;
   void setRun(int);
   Word getFED(Word, Word []);  
   Word fedID(Word, Word []);
   void print(Word);
   void print() { print(7);};
   
protected :
   int getEndian();
   
private :
   int sysendian;
   int initialized;
   int fedid[3][MAXMUFED], fedno[3];  

};




