
#ifndef MuAlignNew_h
#define MuAlignNew_h 1

//## Class: MuAlignNew
//      /**Author:        Boris Fominykh
//
//      Date:             May  6th, 2002
//
//      Class:            MuAlignNew
//
//      Base Class:       none
//
//      Description:
//      This is a container class for muon alignment constants */

class MuAlignNew
{
public:
    //## Constructor
      MuAlignNew();
    //## Destructor
      ~MuAlignNew();

// public methods
    //        /**Initialization*/
      void Ini();
    //        /**Print*/
      void Print();

// public variables

      int Valid;
      int IDnum;    // ID number
      int type;     // type of chambers: 1-tube, 2-pad, 3-pixel
      int sl;       // muon superlayer
      int lay;      // layer
      int ud;       // up=0 / down=1
      int nx1;      // key:  nx min
      int nx2;      // nx max

   // alignment correction constants  
      float dx;
      float dy;
      float dz;
      float xc;
      float yc;
      float angl;
 
  protected:
  private:
};
#endif
