
#ifndef MuEffPad_h
#define MuEffPad_h 1

//## Class: MuEffPad
//      /**Author:        Boris Fominykh
//
//      Date:             May 6th, 2002
//
//      Class:            MuEffPad
//
//      Base Class:       none
//
//      Description:
//      This is a container class for muon pad efficiency */

typedef unsigned short Word;

class MuEffPad
{
public:
    //## Constructor
      MuEffPad();
    //## Destructor
      ~MuEffPad();

// public methods
    //        /**Initialization*/
      void Ini();
    //        /**Print*/
      void Print();

// public variables

      int  Valid;
      int key;       // key = NXmin*60 + NRmin*30 + NPADmin

      Word IDnum;    // ID number
      Word sl;       // muon superlayer
      Word ud;       // up=0 / down=1
      Word nx1;      // nx min
      Word nx2;      // nx max
      Word r1;       // row min
      Word r2;       // row max
      Word pd1;      // pad min
      Word pd2;      // pad max
      float eff;     // efficiency

  protected:
  private:

};
#endif
