// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 
// Modifications:
// - Moved trivial implementation to header (inline) 16-Jul-01 Wouter Hulsbergen
// - Changed double to float (double precision not necessary here)

// class rangerArrow
// contain track point and direction used in locating volumes

#ifndef rangerArrow_HH
#define rangerArrow_HH

class rangerArrow {

public:
  rangerArrow(float Z, float X, float Y, float TX, float TY) :
    z(Z),x(X),y(Y),tx(TX),ty(TY) {}
  float z;
  float x;
  float y;
  float tx;
  float ty;
};

#endif
