// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 
// Modifications:
// - Adapted to `withinBox' scheme      16-Jul-01 Wouter Hulsbergen

// class rangerVolBox
// volume class for box shape

#ifndef rangerVolBox_HH
#define rangerVolBox_HH

#ifndef rangerVolume_HH
#include "rang/Volume.hh"
#endif

class rangerVolBox : public rangerVolume {

public:
  rangerVolBox(); // default constructor
  rangerVolBox( rangerGeWa* gewa ); // constructor from gewa
  ~rangerVolBox(); // destructor
  virtual float sLength(float zz,float x,float y,float tx,float ty) const ;
};

#endif
