// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerVolDummy
// dummy volume class for undefined shapes

#ifndef rangerVolDummy_HH
#define rangerVolDummy_HH

#ifndef rangerVolume_HH
#include "rang/Volume.hh"
#endif

class rangerVolDummy : public rangerVolume {
  
public:
  rangerVolDummy(); // default constructor
  rangerVolDummy( rangerGeWa* gewa ); // constructor from gewa
  ~rangerVolDummy(); // destructor
  virtual float sLength(float zz,float x,float y,float tx,float ty) const ;
};

#endif
