// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerVolTubs
// volume class for tube segment

#ifndef rangerVolTubs_HH
#define rangerVolTubs_HH

#ifndef rangerVolTube_HH
#include "rang/VolTube.hh"
#endif

class rangerVolTubs : public rangerVolTube {
  
public:
  rangerVolTubs(); // default constructor
  rangerVolTubs( rangerGeWa* gewa ); // constructor from gewa
  ~rangerVolTubs(); // destructor
  virtual bool withinAngle( const rangerArrow&, float z ) const ;
};

#endif
