// 
//  Author:  Alexander Spiridonov              Created:  23.05.2000
//
//  Email:   spiridon@ifh.de                   HERA-B Collaboration
// 
// rgauxht.C
//
//       auxiliary routine to test hits stored in segment
//
#include <iostream.h>
#include <math.h>
#include <stdio.h>
#include <fstream.h>
#include <iomanip.h>
#include "arte/arte.hh"

// Prototypes

extern "C" void rgauxht_
(float& x, float& y, int& sign, int& ih,float& dx)
{ 
  //    cout << " rgauxht.C : ih " << ih << " x " << x << " y " << y
  //	 << endl;
      //       << " tx " << tx << " ty " << ty << endl;
    ArtePointer<HITB> hitb(ih);
    ArtePointer<GEDE> gede = hitb->gede;
    float xt = gede->rot[0] * x + gede->rot[3] * y;
    float dxplus = hitb->x + fabs(hitb->q) * float(sign) - xt;
    float dxminus = hitb->x - fabs(hitb->q) * float(sign) - xt;
    /*
    cout << " rgauxht.C : ih " << ih 
    	 << " z " << hitb->z << " x " << x 
    	 << " ch+ " << dxplus/hitb->r
    	 << " ch- " << dxminus/hitb->r;
    if(fabs(dxplus/hitb->r) > 3.) {cout << " <------ ";}
    cout << endl;
    */
      dx = fabs(dxplus/hitb->r);
}
