*CMZ :  4.02/00 26/06/96  13.34.01  by  Rainer Mankel
*CMZ :  4.01/00 05/01/96  15.12.14  by  Rainer Mankel
*-- Author :    Rainer Mankel   05/01/96

      subroutine tfkft()

*     **** display track candidate
*     **** to be called by KUIP
      implicit none
#include "rang/zf.fi"
#include "pris/zgraf.fi"
#include "arte/Arte.fi"
      integer max_graf
      parameter (max_graf=100)
      integer ngraf,ft,ii,izf,ft1,ft2
      real wh(3),xxx(max_graf),yyy(max_graf)
      character*2 opt_c,opt_l
#include "arte/Arte.ff"

#ifdef RGRAF
      call kugeti(ft1)
      call kugeti(ft2)

*     **** fixup
      if (ft2.eq.0.and.ft1.gt.0) ft2 = ft1
      ft1 = max(ft1,1)
      if (ft2.eq.0) then
       ft2 = nca_ft
      else
       ft2 = min(nca_ft,ft2)
      endif

      do 10 ft=ft1,ft2
         if (ft.le.0.or.ft.gt.ncamx) go to 10

*        **** colour index
         call igset('PLCI',corczg)
         call igset('PMCI',corczg)
         call igset('LWID',6.)

         ngraf = 0
*        **** loop over hits in candidate
         do ii=1,199
            if (ii.eq.1) then
               izf = last_ft(ft)
            else
               izf = prev_zf(izf)
            endif
            if (izf.le.0) go to 11

            if (ii.gt.max_graf) then
               print *,' tfkft: overflowing max_graf=', max_graf
               go to 11
            endif

            wh(1) = xx_zf(1,izf) ! 3D point
            wh(2) = xx_zf(2,izf)
            wh(3) = z_zf(izf)

            print *,' tfkft: draw wh=', wh,' ngraf=', ngraf
            call dipro(wh,xxx(ii),yyy(ii)) ! projection
            ngraf = ii
         enddo

 11      continue

*        **** draw the graph
         if (lcrosszg) then
*           **** set marker type
            call ismk(28)
*           **** marker scale factor
            call ismksc(1.5)
            opt_l = 'LP'
            opt_c = 'CP'
         else
            opt_l = 'L'
            opt_c = 'C'
         endif

         if (ngraf.ge.2) then
*           **** draw track candidate
            print *,' tfkft: ngraf,xxx(1),yyy(1)=', ngraf,xxx(1),yyy(1)
            call igraph(ngraf,xxx,yyy,opt_l)
         endif

 10   continue

      call iuwk(0,1)
#endif

 999  end



