/***
   *
   * definition of bits in sltstatus field of the EVT_DATA_RECORD
   *
   ***/

#ifndef _SLT_CODES
#define _SLT_CODES

#define SLT_EMPTY_BX (0x01)  /* event is from a normally empty bx */
#define SLT_BX_VETO  (0x01 <<1)  /* event is from a hot bx            */
#define SLT_ECAL_OK  (0x01 <<2)  /* for interaction exec, ecal okay   */
#define SLT_RICH_OK  (0x01 <<3)  /* for interaction exec, rich okay   */
#define SLP_bypass   (0x01 <<4)  /* for complete bypass event         */
#define SLT_VDS_OK   (0x01 <<5)  /* for interaction exec, vds okay    */
#define SLT_bypass   (0x01 <<6)  /* for SLT bypass event              */
#define L4_no_RECO   (0x01 <<7)  /* for events flaged for not reco    */

/* executable types */
#define SLT_ECALINTERACTION_TRIG (0x01 <<23)
#define SLT_INTERACTION_TRIG (0x01 <<24)
#define SLT_VDSINTERACTION_TRIG (0x01 <<25)

#endif

