>NAME TEMAKUIP

>MENU /TEMA
>Guidance
Commands related to TEMA - a pattern recognition package for PC region


>Command ITR
>Guidance
Enable/disable the use of ITR hits
>Action TEMA_USE_ITR
>Parameter
+
OPT 'on/off' C D='on'


>Command OTR
>Guidance
Enable/disable the use of OTR hits
>Action TEMA_USE_OTR
>Parameter
+
OPT 'on/off' C D='on'


>Command NITER
>Guidance
Set the number of iterations
>Action TEMA_NITER
>Parameters
+
NHORI 'number of iterations for horizontal projection' I D='8'
NVERT 'number of iterations for vertical projections' I D='4'


>Command DRIFT
>Guidance
Enable/disable the use of drift distances in a fit
>Action TEMA_USE_DRIFT
>Parameter
+
OPT 'on/off' C D='on'


>Command ZCENTER
>Guidance
Set the z-coordinate of the center of PC region (origin for the Hough transform)
>Action TEMA_Z_CENTER
>Parameter
+
ZC 'z coordinate in centimeters' R D='780.'


>Command WMIN
>Guidance
Set cut for weights - hits with weight .gt. cut are accepted 
>Action TEMA_WMA_MIN
>Parameter
+
WM 'minimal weight' R D='.1'


>Command SIGMAS
>Guidance
Set detector raw spatial resolutions - used for initial fit  
>Action TEMA_SIGMAS
>Parameters
+
S5MM  'cell sigma in centimeters for 5mm modules' R D='.1644'
S10MM 'cell sigma in centimeters for 10mm modules' R D='.3075'
SITR  'sigma for ITR' R D='100.e-4'

